<template>
	<div class="column q-pa-md q-gutter-md">
		<div class="row items-center q-gutter-md">
			<div>
				<h5 class="q-ma-none">{{ module.Module_Name.replace(/_/g, ' ') }}</h5>
			</div>
		</div>
		<b-table class="full-width" :module="module" table-name="Radiology_Examination_Reports_List"></b-table>
		<b-form-dialog v-model="form.open">
			<module-form></module-form>
		</b-form-dialog>
	</div>
</template>
	
	<script>
export default {
	props: ['module'],
	components: {
		bTable: Vue.defineAsyncComponent(() => import(`components/widgets/b-table.vue`)),
		moduleForm: Vue.defineAsyncComponent(() => import(`components/modules/Diagnostic_Radiology_Reporting/form.vue`)),
		bFormDialog: Vue.defineAsyncComponent(() => import(`components/widgets/b-form-dialog.vue`))
	},
	data() {
		return {
			form: {
				open: false,
				data: {}
			}
		}
	},

}
</script>
	